exabgp (4.1.2-1) unstable; urgency=medium

  * New upstream release.
  * d/control: remove support for Python 2. Closes: #936492.
  * d/patches: add patch to make tests succeed when only python3 is
    available.

 -- Vincent Bernat <bernat@debian.org>  Sat, 21 Sep 2019 21:05:46 +0200

exabgp (4.0.8-1) unstable; urgency=medium

  * New upstream release.
    - Compatibility with Python 3.7. Closes: #904390.
  * d/patches: remove merged patches.

 -- Vincent Bernat <bernat@debian.org>  Tue, 24 Jul 2018 07:47:22 +0200

exabgp (4.0.6-2) unstable; urgency=medium

  * d/postinst: add exabgpcli to the alternative system.

 -- Vincent Bernat <bernat@debian.org>  Sat, 28 Apr 2018 20:24:37 +0200

exabgp (4.0.6-1) unstable; urgency=medium

  * New upstream release.
  * d/patches: drop all patches.
  * d/patches: add patch to fix BGP Flowspec tests.
  * d/patches: fix a decoding test.
  * d/rules: also run tests with Python 3.
  * d/rules: move exabgpcli as python*-exabgpcli.

 -- Vincent Bernat <bernat@debian.org>  Sat, 28 Apr 2018 16:45:39 +0200

exabgp (4.0.2-2) unstable; urgency=medium

  * d/control: build-depends on python*-pkg-resources. Closes: #880219.

 -- Vincent Bernat <bernat@debian.org>  Sat, 04 Nov 2017 13:59:49 +0100

exabgp (4.0.2-1) unstable; urgency=medium

  [ James Page ]
  * New upstream release (4.0.0).
  * Add Python 3 support:
    - d/control: Add python{3}-exabgp, exabgp-common packages.
    - d/exabgp-common.install: Install /usr/share/exabgp/*.
    - d/control,rules: Switch buildsystem to pybuild.
    - d/rules: Limit unit testing to Python 2 for now.
    - d/control: Add required BD's for Python 3 support.
    - d/python{3}-exabgp.{postinst,prerm}: Install exabgp binary
      using alternatives for Python 2 or Python 3 versions.
  * d/rules: Tidy etc/exabgp/exabgp.env on clean.

  [ Vincent Bernat ]
  * New upstream release (4.0.2).
  * Remove all patches.
  * d/control: bump Standards-Version.
  * d/control: remove exabgp-common package.
  * d/install: do not install content of qa/conf (doesn't exist anymore).
  * d/lintian-overrides: silence warning about upstart.
  * d/lintian-overrides: silence warning about missing manual pages.
  * d/patches: cherry-pick patch to add documentation to systemd unit.
  * d/patches: cherry-pick patch to fix ini writing for tcp.bind.
  * d/copyright: updates.
  * d/postinst: prefer Python 3 to run exabgp (add an entry to NEWS.Debian
    for that).

 -- Vincent Bernat <bernat@debian.org>  Fri, 13 Oct 2017 20:54:55 +0200

exabgp (3.4.17-3) unstable; urgency=medium

  * d/exabgp.postinst: provide complete paths to dpkg-maintscript-helper.

 -- Vincent Bernat <bernat@debian.org>  Fri, 02 Dec 2016 20:47:18 +0100

exabgp (3.4.17-2) unstable; urgency=medium

  * d/patches: disable again some unreliable tests. Closes: #840310.
  * d/control: depends on lsb-base for the init.d script.

 -- Vincent Bernat <bernat@debian.org>  Mon, 10 Oct 2016 18:36:46 +0200

exabgp (3.4.17-1) unstable; urgency=medium

  * New upstream version.
  * d/control: bump Standards-Version.
  * d/patches: don't disable unittests.
  * d/rules: disable conversation tests. Closes: #839393.

 -- Vincent Bernat <bernat@debian.org>  Sat, 01 Oct 2016 15:57:59 +0200

exabgp (3.4.16-1) unstable; urgency=medium

  * New upstream release.
  * d/rules: enable back conversation tests.

 -- Vincent Bernat <bernat@debian.org>  Sat, 02 Apr 2016 15:03:17 +0200

exabgp (3.4.15-1) unstable; urgency=medium

  * New upstream release.
  * d/rules: don't run conversation tests (unreliable).
  * d/control: bump Standards-Version.

 -- Vincent Bernat <bernat@debian.org>  Sun, 20 Mar 2016 00:33:06 +0100

exabgp (3.4.13-1) unstable; urgency=medium

  * New upstream release.

 -- Vincent Bernat <bernat@debian.org>  Thu, 24 Sep 2015 16:36:02 +0200

exabgp (3.4.12-3) unstable; urgency=medium

  * init: use --folder to tell ExaBGP the location of /etc/exabgp
  * init: let ExaBGP drops privileges itself.

 -- Vincent Bernat <bernat@debian.org>  Fri, 21 Aug 2015 18:38:37 +0200

exabgp (3.4.12-2) unstable; urgency=medium

  * Disable more control tests. They seem to be unreliable when run in
    unusual conditions. Closes: #793509.

 -- Vincent Bernat <bernat@debian.org>  Sat, 25 Jul 2015 14:32:59 +0200

exabgp (3.4.12-1) unstable; urgency=medium

  * New upstream version.
  * Drop the two previously introduced patches.

 -- Vincent Bernat <bernat@debian.org>  Thu, 23 Jul 2015 15:13:04 +0200

exabgp (3.4.11-3) unstable; urgency=medium

  * Exclude Debian versions from debian/watch.
  * Add two patches fixing decoding of incoming BGP messages:
     - 0001-fix-update-decoding.patch
     - 0001-fix-EOR-parsing.patch

 -- Vincent Bernat <bernat@debian.org>  Tue, 07 Jul 2015 10:35:24 +0200

exabgp (3.4.11-2) unstable; urgency=medium

  * Move processes/healthcheck.py in the same way we moved other files in
    /etc/exabgp/processes: check if it is present in the configuration
    file first.
  * Depends on python-pkg-resources which is needed and not discovered
    automatically for entry points. Closes: #789915.

 -- Vincent Bernat <bernat@debian.org>  Thu, 25 Jun 2015 11:02:11 +0200

exabgp (3.4.11-1) unstable; urgency=medium

  * New upstream release.
     + RFC documents not shipped anymore. Closes: #753829.
  * New maintainer. Thanks to Henry-Nicolas for maintaining ExaBGP
    packaging up to this release.
  * Many packaging changes. First, we just fork off the packaging as
    provided upstream, with the exception of the changelog. The changes
    are:
     + Update short and long description.
     + Rewrite of debian/copyright.
     + Move away from /etc/default to start or not start ExaBGP. A user
       has to use the dedicated mechanisms for its init system. Moreover, if
       no configuration file exists, don't start.
     + Don't provide an empty default configuration file and remove it if
       there is one (unchanged).
     + Remove unused lintian override.
  * Update debian/control's Vcs-* fields to use the appropriate branch.
  * Switch to 3.0 (quilt) format.
  * Add upstart script, thanks to Pierre-Yves Kerembellec.
  * Add back debian/watch.
  * Skip some unreliable tests.
  * Don't ship /usr/sbin/healthcheck. The name is too generic, this is not
    a script to run as a standalone script. A user should use "python -m
    exabgp.application.healthcheck" instead.

 -- Vincent Bernat <bernat@debian.org>  Wed, 24 Jun 2015 14:13:12 +0200

exabgp (3.3.1-1) unstable; urgency=low

  * New upstream release
  * Bump python minimal required version (2.7)
  * Closes: #726066 Debian packaging improvements proposed by Vincent Bernat
  * Closes: #703774 not existent rundir (/var/run/exabgp) after reboot

 -- Henry-Nicolas Tourneur <henry.nicolas@tourneur.be>  Sat, 8 Mar 2014 19:07:00 +0000

exabgp (3.1.6-1) unstable; urgency=low
  * New upstream release
  * Closes: #697742 incorrect ucf usage in postrm script.
  * Closes: #699363 incorrect rmdir usage in postinst

 -- Henry-Nicolas Tourneur <henry.nicolas@tourneur.be>  Fri, 8 Mar 2013 12:00:00 +0000

exabgp (3.1.1-1) unstable; urgency=low
  
  * New upstream release
  * Closes: #687134 debconf abuse, notice of software behavior take places under
    NEWS.Debian, not in a debconf screen, information moved accordingly.
  * Closes: #693338 Japanese translation removed since debconf template is out.
  * Closes: #697178 Russian translation removed since debconf template is out.
  * Closes: #689533 UCF-based conf added. 
    No more manual changes to exabgp.env, thanks to Federico Ceratto.
            

 -- Henry-Nicolas Tourneur <henry.nicolas@tourneur.be>  Wed, 02 Jan 2013 11:42:00 +0000

exabgp (3.0.11-1) unstable; urgency=low
  
  * New upstream release
  * Closes: #687134 (debconf abuse)

 -- Henry-Nicolas Tourneur <henry.nicolas@tourneur.be>  Mon, 21 Nov 2012 18:19:00 +0000

exabgp (3.0.10-1) unstable; urgency=low
  
  * New upstream release

 -- Henry-Nicolas Tourneur <henry.nicolas@tourneur.be>  Thu, 06 Sep 2012 12:34:56 +0000

exabgp (3.0.9-1) unstable; urgency=low
  
  * New upstream release

 -- Henry-Nicolas Tourneur <henry.nicolas@tourneur.be>  Wed, 05 Sep 2012 12:34:56 +0000

exabgp (3.0.8-1) unstable; urgency=low
  
  * Improved init script for /var/run checks

 -- Henry-Nicolas Tourneur <henry.nicolas@tourneur.be>  Sat, 25 Aug 2012 13:32:00 +0000

exabgp (3.0.7-1) unstable; urgency=low
  
  * New upstream release
  * Fix configuration parser when multiple flows are provided

 -- Henry-Nicolas Tourneur <henry.nicolas@tourneur.be>  Sun, 19 Aug 2012 20:00:00 +0000

exabgp (3.0.6-1) unstable; urgency=low
  
  * New upstream release
  * Debian packaging adapted for new configuration template
  * Improved init script

 -- Henry-Nicolas Tourneur <henry.nicolas@tourneur.be>  Sun, 12 Aug 2012 13:42:00 +0000

exabgp (2.0.8-1) unstable; urgency=low
  
  * New upstream release
  * Fix the update grouping which could cause bigger than allowed updates
  * Fix caller script path detection issue

 -- Henry-Nicolas Tourneur <henry.nicolas@tourneur.be>  Sat, 31 Mar 2012 12:00:00 +0000

exabgp (2.0.7-1) unstable; urgency=low
  
  * New upstream release
  * Fix bad clean target for build/ directory

 -- Henry-Nicolas Tourneur <henry.nicolas@tourneur.be>  Thu, 22 Mar 2012 12:00:00 +0000

exabgp (2.0.6-1) unstable; urgency=low
  
  * New upstream release
  * Group BGP updates up to 4096 bytes
  * Closes: #661472

 -- Henry-Nicolas Tourneur <henry.nicolas@tourneur.be>  Wed, 28 Feb 2012 20:00:00 +0000

exabgp (2.0.5-1) unstable; urgency=low
  
  * New upstream release
  * Fix bad flowspec component size calculation for large flow routes
  * Fix bad attribute generation for attributes bigger than 256 chars
  * Fix passing arguments to the helper programsP

 -- Henry-Nicolas Tourneur <henry.nicolas@tourneur.be>  Wed, 10 Feb 2012 20:00:00 +0000

exabgp (2.0.4-1) unstable; urgency=low
  
  * New upstream release
  * Fix bug when signal are sent

 -- Henry-Nicolas Tourneur <henry.nicolas@tourneur.be>  Wed, 01 Feb 2012 15:00:00 +0000

exabgp (2.0.3-1) unstable; urgency=low

  * Internal Change how we read from socket
  * User Change new DEBUG_CORE option
  * User Change DEBUG_ROUTES is deprecated please use DEBUG_ROUTE
  * Fix now sending correctly "neighbor <ip> down" when a neighbor goes down
  * Fix a bug when parsing "split" configuration
  * Fix do not send routes faster than a router can accept them
  * Fix under load we could receive partial messages, read until we have it all
  * Fix we were not always sending the 'down' message to handlers
  * Fix handle signal during select
  * Fix possible problem with session establishment
  * Fix bad route generation for OLD BGP speakers
  * Improvement now sending help "neighbor <ip> up" when a neighbor goes up
  * Improvement Buffering message we can not send them
  * Improvement Limiting how long and how deep the buffer can be
  * Improvement Parsing AS4_PATH message and merging AS_PATH when required
  * Improvement extendeded community are available in the configuration file
  * Improvement printed routes now include extended community information
  * Closes: #653923

 -- Henry-Nicolas Tourneur <henry.nicolas@tourneur.be>  Wed, 01 Feb 2012 12:00:00 +0000

exabgp (2.0.2-1) unstable; urgency=low

  * Small upstream fixes.
  * Closes: #653729
  * Change the location of the python libraries

 -- Henry-Nicolas Tourneur <henry.nicolas@tourneur.be>  Tue, 30 Dec 2011 11:04:00 +0000

exabgp (2.0.1-1) unstable; urgency=low

  * Fix regression in flow route parsing.

 -- Henry-Nicolas Tourneur <henry.nicolas@tourneur.be>  Tue, 08 Dec 2011 11:24:00 +0000

exabgp (2.0.0-1) unstable; urgency=low

  * New upstream version, debian packaging adaptations.

 -- Henry-Nicolas Tourneur <henry.nicolas@tourneur.be>  Tue, 05 Dec 2011 11:24:00 +0000

exabgp (1.3.4-2) unstable; urgency=low

  * Fix Python dependency error, thanks to Jakub Wilk (Closes: #642548) 

 -- Henry-Nicolas Tourneur <henry.nicolas@tourneur.be>  Tue, 24 Sep 2011 21:50:00 +0000

exabgp (1.3.4-1) unstable; urgency=low

  * New upstream version.

 -- Henry-Nicolas Tourneur <henry.nicolas@tourneur.be>  Tue, 21 Sep 2011 17:30:00 +0000

exabgp (1.3.3-2) unstable; urgency=low

  * New upstream package version for Debian update.

 -- Henry-Nicolas Tourneur <henry.nicolas@tourneur.be>  Tue, 4 Aug 2011 16:30:00 +0000

exabgp (1.3.3-1) unstable; urgency=low

  * Fix a bug on high latency links
  * Dramatically accelerate route delta calculation

 -- Thomas Mangin <thomas.mangin@exa-networks.co.uk>  Tue, 25 Jun 2011 16:30:00 +0000

exabgp (1.3.1-2) unstable; urgency=low

  * Cleaned up a lintian error and one warning.

 -- Henry-Nicolas Tourneur <henry.nicolas@tourneur.be>  Thu, 5 Jun 2011 17:41:07 +0000

exabgp (1.3.1-1) unstable; urgency=low

  * Updated packaging for 1.3.1.

 -- Henry-Nicolas Tourneur <henry.nicolas@tourneur.be>  Thu, 3 May 2011 13:54:07 +0000

exabgp (1.3.0-1) unstable; urgency=low

  * Updated packaging for 1.3.0, removed patches.
  * Added a lintian override as the packaging is now done upstream.

 -- Henry-Nicolas Tourneur <henry.nicolas@tourneur.be>  Thu, 2 May 2011 10:05:07 +0000

exabgp (1.2.0-2) unstable; urgency=low

  * Added watch file for uscan

 -- Henry-Nicolas Tourneur <henry.nicolas@tourneur.be>  Thu, 25 Apr 2011 17:12:28 +0000

exabgp (1.2.0-1) unstable; urgency=low

  * Patches:
    - copyright: Extend validity of the COPYRIGHT to 2011, on author request.
    - daemonize: Let the daemon daemonize on the basis of that ENV var.
        Original comportment is to decide to fork or not depending on DAEMON ENV var.
  * Initial release (Closes: #623616) 

 -- Henry-Nicolas Tourneur <henry.nicolas@tourneur.be>  Thu, 21 Apr 2011 19:35:15 +0000
